Bug 678565

Summary: Missing Device ID for HP LaserJet 3390
Product: [Fedora] Fedora Reporter: Tim Waugh <twaugh>
Component: hplipAssignee: Tim Waugh <twaugh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: jpopelka, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: hplip-3.11.5-1.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-05-30 22:30:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 219467    

Description Tim Waugh 2011-02-18 13:00:25 UTC
Description of problem:
From lpinfo -l -v output given in private mail:

Device: uri = usb://HP/LaserJet%203390
         class = direct
         info = HP LaserJet 3390
         make-and-model = HP LaserJet 3390
         device-id = 
MFG:Hewlett-Packard;CMD:PJL,PML,MLC,POSTSCRIPT,PCLXL,PCL;MDL:HP LaserJet 
3390;CLS:PRINTER;DES:Hewlett-Packard LaserJet 
3390;MEM:MEM=53MB;1284.4DL:4d,4e,1;OPTRAY:250Sheets;COMMENT:RES=1200x1;

I get this:

$ ./check-device-ids.py "HP LaserJet 3390" "MFG:Hewlett-Packard;CMD:PJL,PML,MLC,POSTSCRIPT,PCLXL,PCL;MDL:HP LaserJet 3390;CLS:PRINTER;DES:Hewlett-Packard LaserJet 3390;MEM:MEM=53MB;1284.4DL:4d,4e,1;OPTRAY:250Sheets;COMMENT:RES=1200x1;"
Installing relevant drivers using session service
Ignoring exception: org.freedesktop.PackageKit.Modify.Cancelled: did not agree to download
Fetching driver list
Error loading /usr/local/etc/cupshelpers/preferreddrivers.xml: [Errno 2] No such file or directory: '/usr/local/etc/cupshelpers/preferreddrivers.xml'
└── HP LaserJet 3390 (user-specified): MFG:Hewlett-Packard;MDL:HP LaserJet 3390;CMD:PJL,PML,MLC,POSTSCRIPT,PCLXL,PCL;
    ├── foomatic:HP-LaserJet_3390-hpijs.ppd [foomatic]
    ├── foomatic:HP-LaserJet_3392-hpijs.ppd [foomatic]
    ├── gutenprint.5.2://hp-lj_3392/simple [gutenprint-cups]
    ├── gutenprint.5.2://hp-lj_3390/expert [gutenprint-cups]
    ├── drv:///hp/hpcups.drv/hp-laserjet_3390-pcl3.ppd [hpijs]
    ├── gutenprint.5.2://hp-lj_3390/simple [gutenprint-cups]
    └── gutenprint.5.2://hp-lj_3392/expert [gutenprint-cups]
        MISSING  lsb/usr/HP/hp-laserjet_3390-ps.ppd.gz [hpijs]

Version-Release number of selected component (if applicable):
hplip-3.11.1-2.fc14.x86_64

Comment 1 Fedora Update System 2011-03-16 12:26:54 UTC
hplip-3.11.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hplip-3.11.1-3.fc14

Comment 2 Fedora Update System 2011-03-16 12:44:20 UTC
hplip-3.11.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/hplip-3.11.1-3.fc13

Comment 3 Fedora Update System 2011-04-01 09:43:39 UTC
hplip-3.11.3a-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc14

Comment 4 Fedora Update System 2011-04-01 09:44:56 UTC
hplip-3.11.3a-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc13

Comment 5 Fedora Update System 2011-04-01 18:20:53 UTC
Package hplip-3.11.3a-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.11.3a-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc13
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-05-30 22:29:41 UTC
hplip-3.11.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-05-30 22:31:09 UTC
hplip-3.11.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.